Multivariate Pattern Analysis in Python

# mvpa2.base.dataset.stack_by_unique_sample_attribute

`mvpa2.base.dataset.``stack_by_unique_sample_attribute`(dataset, sa_label)

  Performs hstack based on unique values in sa_label

  Parameters:

  dataset: Dataset

  > input dataset.

  sa_label: str

  > sample attribute label according which samples in dataset are stacked.

  Returns:

  stacked_dataset: Dataset

  > A dataset where matching features are joined (hstacked). If the number of matching features differs for values in sa_label and exception is raised.